import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {ApiMerchantsRoutingModule} from './api-merchants-routing.module';
import {ListComponent} from './list/list.component';
import {SeparateModule} from '../../common/separate/separate.module';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {RegionSelectorModule} from '../../common/region-selector/region-selector.module';
import {AppCommonModule} from '../../app-common.module';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';


@NgModule({
    declarations: [ListComponent],
    imports: [
        CommonModule,
        ApiMerchantsRoutingModule,
        NgZorroAntdModule,
        SeparateModule,
        ReactiveFormsModule,
        FormsModule,
        BreadcrumbModule,
        RegionSelectorModule,
        AppCommonModule
    ]
})
export class ApiMerchantsModule {
}
