import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { GasOilPriceRoutingModule } from './gas-oil-price-routing.module';
import { OilPriceOfficialListComponent } from './oil-price-official-list/oil-price-official-list.component';

import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {AppCommonModule} from '../../app-common.module';
import { OilPriceTaskListComponent } from './oil-price-task-list/oil-price-task-list.component';
import { OilPriceTaskEditComponent } from './oil-price-task-edit/oil-price-task-edit.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {NgxEchartsModule} from 'ngx-echarts';


@NgModule({
  declarations: [OilPriceOfficialListComponent, OilPriceTaskListComponent, OilPriceTaskEditComponent],
  imports: [
    CommonModule,
    GasOilPriceRoutingModule,
    NgZorroAntdModule,
    ReactiveFormsModule,
    FormsModule,
    BreadcrumbModule,
    AppCommonModule,
    NgxEchartsModule,
  ]
})
export class GasOilPriceModule { }
