import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'productConfig'
})
export class ProductConfigPipe implements PipeTransform {

    transform(value: string): string {
        switch (value) {
            case 'CQ_SHELL':
                return '重庆壳牌接口';
            case 'KFC_CONFIG':
                return '肯德基接口';
            case 'MEMBER_RECHARGE_CONFIG':
                return '会员充值接口';
            case 'PHONE_CONFIG':
                return '话费接口';
            case 'STARBUCKS_CONFIG':
                return '星巴克接口';
        }
    }

}
