import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'callbackStatus'
})
export class CallbackStatusPipe implements PipeTransform {

    transform(value: number): string {
        switch (value) {
            case 100:
                return '未回调';
            case 101:
                return '已回调';
            case 102:
                return '回调未响应';
            case 103:
                return '预备回调';
        }
    }

}
