import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'orderStatus'
})
export class OrderStatusPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '待支付';
      case 2:
        return '已支付';
      case 3:
        return '已完成';
      case 4:
        return '已退款';
      case 5:
        return '已取消';
    }
  }

}
